##
#
# Configuration options.
#
# Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Author: Georg Wittenburg
#
# $Id: config.tcl 2548 2008-02-13 19:20:58Z wittenbu $
#
##



# Configure network protocol stack
# TODO: Is it correct to use the default values for these components?
set val(chan)		Channel/WirelessChannel			;# channel type
#set val(prop)		Propagation/FreeSpace			;# radio-propagation model
#set val(prop)		Propagation/TwoRayGround		;# radio-propagation model
set val(prop)		Propagation/Shadowing			;# radio-propagation model
set val(ant)		Antenna/OmniAntenna			;# antenna model
set val(netif)		Phy/WirelessPhy				;# network interface type
set val(mac)		Mac/802_11				;# MAC type
set val(ll)		LL					;# link layer type
set val(ifq)		Queue/DropTail/PriQueue			;# interface queue type			TODO: Is this the correct queue type? Priqueue is patched by AODV-UU...
set val(ifqlen)		50					;# max packet in interface queue	TODO: Is this an appropriate queue length?
set val(rp)		AODVUU					;# routing protocol			TODO: Also consider other routing protocols (AODV, AODVUU, ...).

# Disable MAC 802.11 RTS/CTS packets below this threshold.
Mac/802_11			set RTSThreshold_		2048	;# bytes

# MAC 802.11 statistics
Mac/802_11			set transmittedPackets_		0
Mac/802_11			set receivedPackets_		0
Mac/802_11			set droppedPackets_capture_	0
Mac/802_11			set droppedPackets_collision_	0
Mac/802_11			set droppedPackets_transmit_	0
Mac/802_11			set droppedPackets_bit_error_	0
Mac/802_11			set transmittedBytes_		0
Mac/802_11			set receivedBytes_		0

# Transport agent
#Agent/MessagePassing		set packetSize_		1500	;# (default)
Agent/MessagePassing		set processPackets_	1	;# enable processing of packets by application

# Service placement application
Application/ServicePlacement	set transmittedUnicastPackets_		0
Application/ServicePlacement	set receivedUnicastPackets_		0
Application/ServicePlacement	set transmittedBroadcastPackets_	0
Application/ServicePlacement	set receivedBroadcastPackets_		0
Application/ServicePlacement	set transmittedBytes_			0
Application/ServicePlacement	set receivedBytes_			0

# C code
Application/ServicePlacement	set SP_direct_neighbors					0
Application/ServicePlacement	set SP_longest_route					0
Application/ServicePlacement	set SP_average_route					0.0
Application/ServicePlacement	set SP_DEBUG_ERRORs					0
Application/ServicePlacement	set SP_DEBUG_WARNs					0
Application/ServicePlacement	set SP_RUDP_total_transmissions				0
Application/ServicePlacement	set SP_RUDP_successful_transmissions			0
Application/ServicePlacement	set SP_ICMP_transmitted_nops				0
Application/ServicePlacement	set SP_ICMP_received_nops				0
Application/ServicePlacement	set SP_SLP_total_queries				0
Application/ServicePlacement	set SP_SLP_successful_queries				0
Application/ServicePlacement	set SP_SERVICE_total_data_requests			0
Application/ServicePlacement	set SP_SERVICE_successful_data_requests			0
Application/ServicePlacement	set SP_SERVICE_total_successful_data_request_delay	0.0
Application/ServicePlacement	set SP_SERVICE_total_data_updates			0
Application/ServicePlacement	set SP_SERVICE_successful_data_updates			0
Application/ServicePlacement	set SP_SERVICE_total_stream_requests			0
Application/ServicePlacement	set SP_SERVICE_successful_stream_requests		0
Application/ServicePlacement	set SP_SERVICE_expected_stream_packets			0
Application/ServicePlacement	set SP_SERVICE_received_stream_packets			0
Application/ServicePlacement	set SP_SERVICE_successful_replications			0
Application/ServicePlacement	set SP_SERVICE_total_migrations				0
Application/ServicePlacement	set SP_SERVICE_successful_migrations			0
Application/ServicePlacement	set SP_SERVICE_total_replications			0
