/**
 * @file icmp-light_vars.h
 *
 * @brief Internet Control Message Protocol (ICMP) - minimal implemenation (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: icmp-light_vars.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef IMCP_LIGHT_VARS_H
#define IMCP_LIGHT_VARS_H

#include "../types.h"
#include "icmp-light_types.h"

/**
 * @brief Currently active echo request.
 */
SP_ICMP_echo_request_t SP_ICMP_active_echo_request;

/**
 * @brief Statistics counter for transmitted ICMP NOP packets.
 */
u_int32_t SP_ICMP_transmitted_nops;

/**
 * @brief Statistics counter for received ICMP NOP packets.
 */
u_int32_t SP_ICMP_received_nops;

#endif	// IMCP_LIGHT_VARS_H
