/**
 * @file rudp-light.h
 *
 * @brief Reliable User Datagram Protocol (RUDP) - minimal implemenation (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: rudp-light.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef RUDP_LIGHT_H
#define RUDP_LIGHT_H

#include "../types.h"
#include "rudp-light_types.h"

// Interface to main module.
void RUDP_init();
void RUDP_start();
void RUDP_stop();
void RUDP_finalize();
void RUDP_recv(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
bool RUDP_command(int argc, const char*const* argv);

// Interface provided by this module.
void RUDP_send(const SP_packet_header_t* header, const SP_packet_payload_t* payload, SP_callback_function_t function, SP_RUDP_transmission_result_t* result);
size_t RUDP_max_payload_size();

#endif	// RUDP_LIGHT_H
