/**
 * @file rudp-light_vars.h
 *
 * @brief Reliable User Datagram Protocol (RUDP) - minimal implemenation (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: rudp-light_vars.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef RUDP_LIGHT_VARS_H
#define RUDP_LIGHT_VARS_H

#include "../types.h"
#include "rudp-light_types.h"

/**
 * @brief List of packets queued for transmission.
 */
SP_list_t* SP_RUDP_transmission_queue;

/**
 * @brief Statistics counter of totally transmitted packets.
 */
u_int32_t SP_RUDP_total_transmissions;

/**
 * @brief Statistics counter of successfully transmitted packets.
 */
u_int32_t SP_RUDP_successful_transmissions;

/**
 * @brief Statistics counter of not transmitted packets.
 */
u_int32_t SP_RUDP_failed_transmissions;

#endif	// RUDP_LIGHT_VARS_H
