/**
 * @file service_client.h
 *
 * @brief Service - Client (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_client.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SERVICE_CLIENT_H
#define SERVICE_CLIENT_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_SERVER_DATA_ITEM(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
void handle_SERVICE_SERVER_STREAM_ITEM(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
void handle_SERVICE_SERVER_NOT_AVAILABLE(const SP_packet_header_t* header, const SP_SERVICE_SERVER_NOT_AVAILABLE_packet_t* not_available);
void request_data(const char* service_id, u_int16_t offset, size_t size);
void update_data(const char* service_id, u_int16_t offset, size_t size, const char* data);
void request_stream(const char* service_id, u_int16_t offset, size_t size, SP_time_t interval, SP_time_t duration);

#endif	// SERVICE_CLIENT_H
