/**
 * @file service_util.h
 *
 * @brief Service utility functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_util.h 2585 2008-03-05 13:28:49Z wittenbu $
 */

#ifndef SERVICE_UTIL_H
#define SERVICE_UTIL_H

#include "../types.h"
#include "../util/list.h"
#include "../slp-light/slp-light_types.h"
#include "service_types.h"



bool same_service_id(const char* service_id_1, const char* service_id_2);
SP_addr_t selectBestServer(const SP_list_t* service_instances);

// Client-side cache for results of SLP queries.
void cache_set(const char* service_id, SP_addr_t server);
void cache_remove(const char* service_id);
u_int8_t cache_lookup(const char* service_id, SP_addr_t* server);
void cache_increment_age(const char* service_id);
void cache_reset_age(const char* service_id);
void cache_tag_not_reachable(const char* service_id);

#endif	// SERVICE_UTIL_H
